(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('rxjs'), require('rxjs/operators')) :
    typeof define === 'function' && define.amd ? define('mz-file-upload', ['exports', '@angular/core', '@angular/common', 'rxjs', 'rxjs/operators'], factory) :
    (global = global || self, factory(global['mz-file-upload'] = {}, global.ng.core, global.ng.common, global.rxjs, global.rxjs.operators));
}(this, (function (exports, core, common, rxjs, operators) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/\@service/mz-file-upload-service/\@res/\@abstract/\@enum/common.enum.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var MzFileUploadTypeEnum = {
        drop: 1,
        input: 2,
        all: 3,
    };
    MzFileUploadTypeEnum[MzFileUploadTypeEnum.drop] = 'drop';
    MzFileUploadTypeEnum[MzFileUploadTypeEnum.input] = 'input';
    MzFileUploadTypeEnum[MzFileUploadTypeEnum.all] = 'all';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/\@service/mz-file-upload-service/mz-file-upload.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MzFileUploadService = /** @class */ (function () {
        function MzFileUploadService() {
            this.fileUpload$ = new rxjs.Subject();
            this.fileOptions = {};
        }
        /**
         * get file
         * */
        /**
         * get file
         *
         * @param {?=} options
         * @return {?}
         */
        MzFileUploadService.prototype.getFile = /**
         * get file
         *
         * @param {?=} options
         * @return {?}
         */
        function (options) {
            return this.fileUpload$.pipe(operators.filter((/**
             * @param {?} item
             * @return {?}
             */
            function (item) {
                return !options ||
                    ((!options.type || options.type === item.type) &&
                        (!options.id || options.id === item.id));
            })));
        };
        /**
         * update state of view
         * */
        /**
         * update state of view
         *
         * @param {?} options
         * @param {?} state
         * @return {?}
         */
        MzFileUploadService.prototype.updateStateOfView = /**
         * update state of view
         *
         * @param {?} options
         * @param {?} state
         * @return {?}
         */
        function (options, state) {
            var _a, _b;
            if (options && typeof options.id !== 'undefined') {
                /** @type {?} */
                var type = options.type || MzFileUploadTypeEnum.all;
                if (type === MzFileUploadTypeEnum.all) {
                    /** @type {?} */
                    var viewIdDrop = this.getViewIdWithType({
                        id: options.id,
                        type: MzFileUploadTypeEnum.drop
                    });
                    /** @type {?} */
                    var viewIdInput = this.getViewIdWithType({
                        id: options.id,
                        type: MzFileUploadTypeEnum.input
                    });
                    this.fileOptions = __assign({}, this.fileOptions, (_a = {}, _a[viewIdInput] = __assign({}, (this.fileOptions[viewIdInput] || {}), { active: state }), _a[viewIdDrop] = __assign({}, (this.fileOptions[viewIdDrop] || {}), { active: state }), _a));
                }
                else {
                    /** @type {?} */
                    var viewId = this.getViewIdWithType(options);
                    this.fileOptions = __assign({}, this.fileOptions, (_b = {}, _b[viewId] = __assign({}, (this.fileOptions[viewId] || {}), { active: state }), _b));
                }
                return true;
            }
            return false;
        };
        /**
         *
         * */
        /**
         *
         *
         * @param {?} options
         * @return {?}
         */
        MzFileUploadService.prototype.getStateOfView = /**
         *
         *
         * @param {?} options
         * @return {?}
         */
        function (options) {
            if (options && typeof options.id !== 'undefined') {
                /** @type {?} */
                var viewId = this.getViewIdWithType(options);
                /** @type {?} */
                var state = this.fileOptions[viewId] && this.fileOptions[viewId].active;
                return typeof state === 'boolean' ? state : true;
            }
        };
        /**
         *
         * */
        /**
         *
         *
         * @private
         * @param {?} options
         * @return {?}
         */
        MzFileUploadService.prototype.getViewIdWithType = /**
         *
         *
         * @private
         * @param {?} options
         * @return {?}
         */
        function (options) {
            /** @type {?} */
            var viewId;
            /** @type {?} */
            var type;
            if (options && typeof options.id !== 'undefined') {
                type = options.type || MzFileUploadTypeEnum.all;
                viewId = options.id + "-" + type;
            }
            return viewId;
        };
        /**
         * upload file
         * */
        /**
         * upload file
         *
         * @param {?} file
         * @param {?} id
         * @param {?} type
         * @return {?}
         */
        MzFileUploadService.prototype.upload = /**
         * upload file
         *
         * @param {?} file
         * @param {?} id
         * @param {?} type
         * @return {?}
         */
        function (file, id, type) {
            this.fileUpload$.next({
                id: id,
                file: file,
                type: type
            });
        };
        MzFileUploadService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */ MzFileUploadService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function MzFileUploadService_Factory() { return new MzFileUploadService(); }, token: MzFileUploadService, providedIn: "root" });
        return MzFileUploadService;
    }());
    if (false) {
        /** @type {?} */
        MzFileUploadService.prototype.fileUpload$;
        /** @type {?} */
        MzFileUploadService.prototype.fileOptions;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/\@directrive/file-drop/file-drop.directive.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FileDropDirective = /** @class */ (function () {
        function FileDropDirective(mzFileDropServiceService, el) {
            this.mzFileDropServiceService = mzFileDropServiceService;
            this.el = el;
            /**
             * files droped
             *
             */
            this.mzFileUpload = new core.EventEmitter();
            /**
             * files droped
             *
             */
            this.filterEvent = this.filterEvent_;
            /**
             * file mz file drop active
             *
             */
            this.mzFileDropActive = true;
            /**
             * file mz file drop active
             *
             */
            this.mzFileDebounce = 100;
            /**
             * file hovered state
             *
             */
            this.mzFileHovered = new core.EventEmitter();
            this.onHover$ = new rxjs.Subject();
            this.alive$ = new rxjs.Subject();
        }
        Object.defineProperty(FileDropDirective.prototype, "mzFileDropSmartActive", {
            /**
             *
             * */
            get: /**
             *
             *
             * @private
             * @return {?}
             */
            function () {
                /** @type {?} */
                var firstState = this.mzFileDropServiceService.getStateOfView({
                    id: this.mzFileId,
                    type: MzFileUploadTypeEnum.drop
                });
                return firstState && this.mzFileDropActive;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} $event
         * @return {?}
         */
        FileDropDirective.prototype.onDrop = /**
         * @param {?} $event
         * @return {?}
         */
        function ($event) {
            $event.preventDefault();
            /** @type {?} */
            var transfer = $event.dataTransfer;
            /** @type {?} */
            var files = (/** @type {?} */ (transfer.files));
            if (this.filterEvent($event)) {
                this.mzFileUpload.emit(files);
                this.mzFileDropServiceService.upload(files, this.mzFileId, MzFileUploadTypeEnum.drop);
            }
            this.onHover$.next(false);
        };
        /**
         * @return {?}
         */
        FileDropDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.onHover$
                .pipe(operators.distinctUntilChanged(), operators.debounceTime(this.mzFileDebounce), operators.takeUntil(this.alive$))
                .subscribe((/**
             * @param {?} state
             * @return {?}
             */
            function (state) {
                _this.mzFileHovered.emit(state);
            }));
            rxjs.fromEvent(document, 'dragover')
                .pipe(operators.takeUntil(this.alive$))
                .subscribe((/**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                /** @type {?} */
                var targetElement = event.target;
                /** @type {?} */
                var elementInside = _this.el.nativeElement.contains(targetElement);
                if (elementInside) {
                    event.preventDefault();
                }
                if (_this.filterEvent(event)) {
                    _this.hoverEmit(elementInside);
                }
            }));
            rxjs.fromEvent(document, 'dragleave')
                .pipe(operators.takeUntil(this.alive$))
                .subscribe((/**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                _this.hoverEmit(false);
            }));
        };
        /**
         * @return {?}
         */
        FileDropDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.alive$.next(true);
            this.alive$.unsubscribe();
        };
        /**
         *
         * */
        /**
         *
         *
         * @private
         * @param {?} $event
         * @return {?}
         */
        FileDropDirective.prototype.filterEvent_ = /**
         *
         *
         * @private
         * @param {?} $event
         * @return {?}
         */
        function ($event) {
            return $event.dataTransfer && $event.dataTransfer.files && $event.dataTransfer.files.length > 0;
        };
        /**
         *
         * */
        /**
         *
         *
         * @private
         * @param {?} state
         * @return {?}
         */
        FileDropDirective.prototype.hoverEmit = /**
         *
         *
         * @private
         * @param {?} state
         * @return {?}
         */
        function (state) {
            if (!this.mzFileDropSmartActive) {
                return;
            }
            this.onHover$.next(state);
        };
        FileDropDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[mzFileDrop]'
                    },] }
        ];
        /** @nocollapse */
        FileDropDirective.ctorParameters = function () { return [
            { type: MzFileUploadService },
            { type: core.ElementRef }
        ]; };
        FileDropDirective.propDecorators = {
            mzFileUpload: [{ type: core.Output }],
            mzFileId: [{ type: core.Input }],
            filterEvent: [{ type: core.Input }],
            mzFileDropActive: [{ type: core.Input }],
            mzFileDebounce: [{ type: core.Input }],
            mzFileHovered: [{ type: core.Output }],
            onDrop: [{ type: core.HostListener, args: ['drop', ['$event'],] }]
        };
        return FileDropDirective;
    }());
    if (false) {
        /**
         * files droped
         *
         * @type {?}
         */
        FileDropDirective.prototype.mzFileUpload;
        /**
         * files droped
         *
         * @type {?}
         */
        FileDropDirective.prototype.mzFileId;
        /**
         * files droped
         *
         * @type {?}
         */
        FileDropDirective.prototype.filterEvent;
        /**
         * file mz file drop active
         *
         * @type {?}
         */
        FileDropDirective.prototype.mzFileDropActive;
        /**
         * file mz file drop active
         *
         * @type {?}
         */
        FileDropDirective.prototype.mzFileDebounce;
        /**
         * file hovered state
         *
         * @type {?}
         */
        FileDropDirective.prototype.mzFileHovered;
        /**
         * @type {?}
         * @private
         */
        FileDropDirective.prototype.onHover$;
        /**
         * @type {?}
         * @private
         */
        FileDropDirective.prototype.alive$;
        /**
         * @type {?}
         * @private
         */
        FileDropDirective.prototype.mzFileDropServiceService;
        /**
         * @type {?}
         * @private
         */
        FileDropDirective.prototype.el;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/\@directrive/file-input/file-input.directive.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FileInputDirective = /** @class */ (function () {
        function FileInputDirective(mzFileDropServiceService) {
            this.mzFileDropServiceService = mzFileDropServiceService;
            /**
             * files droped
             *
             */
            this.mzFileUpload = new core.EventEmitter();
            /**
             * file mz file active
             *
             */
            this.mzFileActive = true;
        }
        Object.defineProperty(FileInputDirective.prototype, "mzFileSmartActive", {
            /**
             *
             * */
            get: /**
             *
             *
             * @private
             * @return {?}
             */
            function () {
                /** @type {?} */
                var firstState = this.mzFileDropServiceService.getStateOfView({
                    id: this.mzFileId,
                    type: MzFileUploadTypeEnum.input
                });
                return firstState && this.mzFileActive;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} $event
         * @return {?}
         */
        FileInputDirective.prototype.onClick = /**
         * @param {?} $event
         * @return {?}
         */
        function ($event) {
            event.preventDefault();
            if (this.mzFileSmartActive) {
                this.input.click();
            }
        };
        /**
         * @return {?}
         */
        FileInputDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var input = (this.input = document.createElement('input'));
            input.type = 'file';
            input.onchange = (/**
             * @param {?} event
             * @return {?}
             */
            function (event) {
                if (_this.mzFileSmartActive) {
                    /** @type {?} */
                    var file = event.target.files;
                    _this.mzFileDropServiceService.upload(file, _this.mzFileId, MzFileUploadTypeEnum.input);
                    _this.mzFileUpload.emit(file);
                }
            });
        };
        /**
         * @return {?}
         */
        FileInputDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.input = null;
        };
        FileInputDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[mzFileInput]'
                    },] }
        ];
        /** @nocollapse */
        FileInputDirective.ctorParameters = function () { return [
            { type: MzFileUploadService }
        ]; };
        FileInputDirective.propDecorators = {
            mzFileUpload: [{ type: core.Output }],
            mzFileId: [{ type: core.Input }],
            mzFileActive: [{ type: core.Input }],
            onClick: [{ type: core.HostListener, args: ['click', ['$event'],] }]
        };
        return FileInputDirective;
    }());
    if (false) {
        /**
         * files droped
         *
         * @type {?}
         */
        FileInputDirective.prototype.mzFileUpload;
        /**
         * files droped
         *
         * @type {?}
         */
        FileInputDirective.prototype.mzFileId;
        /**
         * file mz file active
         *
         * @type {?}
         */
        FileInputDirective.prototype.mzFileActive;
        /**
         * @type {?}
         * @private
         */
        FileInputDirective.prototype.input;
        /**
         * @type {?}
         * @private
         */
        FileInputDirective.prototype.mzFileDropServiceService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/mz-file-upload.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var MzFileUploadModule = /** @class */ (function () {
        function MzFileUploadModule() {
        }
        MzFileUploadModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [common.CommonModule],
                        declarations: [FileDropDirective, FileInputDirective],
                        exports: [FileDropDirective, FileInputDirective]
                    },] }
        ];
        return MzFileUploadModule;
    }());

    exports.MzFileUploadModule = MzFileUploadModule;
    exports.MzFileUploadService = MzFileUploadService;
    exports.MzFileUploadTypeEnum = MzFileUploadTypeEnum;
    exports.ɵa = FileDropDirective;
    exports.ɵb = FileInputDirective;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=mz-file-upload.umd.js.map
